.toggle {
    &.sidebar-toggle {
        display: none;
        position: relative;
        width: 32px;
        height: 32px;
        background-color: #fff;
        display: flex;
        flex-wrap: wrap;
        padding: 0;
        align-items: center;
        overflow: hidden;
        border: none;

        @media #{$bp-sm} {
            display: block;
        }

        span {
            display: block;
            width: 100%;
            height: 2px;
            margin-top: 5px;
            background-color: $base-light;

            &:first-child {
                margin-top: 0;
            }
        }

        &:hover,
        &:focus,
        &.open {
            span {
                background-color: $base-danger;
                transition: .4s ease-in-out;
            }
        }
        &.open {
            border-bottom-left-radius: 0;
            border-bottom-right-radius: 0;

            span {
                display: none;

                &:first-child,
                &:last-child {
                    position: absolute;
                    display: block;
                }

                &:first-child {
                    transform: rotate(225deg);
                    left: 0;
                    top: 15px;
                }
                &:last-child {
                    transform: rotate(-225deg);
                    right: 0;
                    top: 10px;
                }
            }
        }
    }
}